%define with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name:           libmatthew-java
Version:        0.7.1
Release:        2%{?dist}
Summary:        A few useful Java libraries
Group:          Development/Libraries
License:        LGPLv2

# actual upstream:
#URL: http://matthew.ath.cx/projects/java/
#Source0: http://matthew.ath.cx/projects/java/%{name}-%{version}.tar.gz

# upstream author is also the debian maintainer for this package.
# he gets newer releases into debian before he puts them up on
# the upstream website. so we use the "original" source from debian
# (ie, the source before debian patches are applied to it)
URL:            http://packages.debian.org/source/sid/%{name}
Source0:        http://ftp.de.debian.org/debian/pool/main/libm/%{name}/%{name}_%{version}.orig.tar.gz
Patch0:         early_upstream.patch
Patch1:         install_doc.patch
Patch2:         jpackage_compliance.patch
Patch3:         classpath_fix.patch
Patch4:         openjdk.patch
Patch5:         makefile.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  java-1.6.0-openjdk-devel
BuildRequires:  jpackage-utils

Requires:       java-1.6.0-openjdk
Requires:       jpackage-utils

%if %{with_gcj}
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%endif


%description
A colleciton of Java libraries:
- Unix Sockets Library
  This is a collection of classes and native code to allow you to read
  and write Unix sockets in Java.

- Debug Library
  This is a comprehensive logging and debugging solution.

- CGI Library
  This is a collection of classes and native code to allow you to write
  CGI applications in Java.

- I/O Library
  This provides a few much needed extensions to the Java I/O subsystem.

- Hexdump
  This class formats byte-arrays in hex and ascii for display.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Libraries
Requires:       jpackage-utils


%description javadoc
Javadoc for %{name}


%prep
%setup -q
%patch0 -p1
%patch1 -p1

# this patch adds a system dependent path, so we fix it before
# applying the patch
sed -e 's|@JNIPATH@|%{_libdir}/%{name}|' %{PATCH2} | patch -p1

%patch3 -p1
%patch4 -p1
%patch5 -p1


%build
make %{?_smp_mflags} \
    CFLAGS='%{optflags}'\
    GCJFLAGS='%{optflags}' \
    LDFLAGS='%{optflags}' \
    PPFLAGS='%{optflags}'


%install
rm -rf $RPM_BUILD_ROOT
make install \
    DESTDIR=$RPM_BUILD_ROOT \
    JARDIR=%{_libdir}/%{name} \
    LIBDIR=%{_libdir}/%{name} \
    DOCDIR=%{_javadocdir}/%{name}

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif


%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
    then
    %{_bindir}/rebuild-gcj-db
fi
%endif


%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
    then
    %{_bindir}/rebuild-gcj-db
fi
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libdir}/%{name}
%doc COPYING INSTALL README

%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Wed Jul 2 2008 Omair Majid <omajid@redhat.com> 0.7.1-2
- Fixed hardcoded paths for jni libraries

* Wed Jun 25 2008 Omair Majid <omajid@redhat.com> 0.7.1-1.fc9
- Initial build for fedora
